Skip to main content
`Ctrl`+`K`

# EPSSetFromOptions

Sets `EPS` options from the options database. This routine must be called before `EPSSetUp()` if the user is to be allowed to configure the solver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetFromOptions(EPS eps)

Collective

## Input Parameter

- eps - the linear eigensolver context

## Note

To see all options, run your program with the `-help` option.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetOptionsPrefix()`

## Level

beginner

## Location

src/eps/interface/epsopts.c

## Examples

src/eps/tutorials/ex2.c
src/eps/tutorials/ex46.c
src/eps/tutorials/ex24.c
src/eps/tutorials/ex29.c
src/eps/tutorials/ex18.c
src/eps/tutorials/ex41.c
src/eps/tutorials/ex1.c
src/eps/tutorials/ex12.c
src/eps/tutorials/ex56.c
src/eps/tutorials/ex5.c

## Implementations

EPSSetFromOptions_LOBPCG() in src/eps/impls/cg/lobpcg/lobpcg.c
EPSSetFromOptions_RQCG() in src/eps/impls/cg/rqcg/rqcg.c
EPSSetFromOptions_CISS() in src/eps/impls/ciss/ciss.c
EPSSetFromOptions_GD() in src/eps/impls/davidson/gd/gd.c
EPSSetFromOptions_JD() in src/eps/impls/davidson/jd/jd.c
EPSSetFromOptions_BLOPEX() in src/eps/impls/external/blopex/blopex.c
EPSSetFromOptions_ChASE() in src/eps/impls/external/chase/chase.c
EPSSetFromOptions_EVSL() in src/eps/impls/external/evsl/evsl.c
EPSSetFromOptions_FEAST() in src/eps/impls/external/feast/feast.c
EPSSetFromOptions_PRIMME() in src/eps/impls/external/primme/primme.c
EPSSetFromOptions_Arnoldi() in src/eps/impls/krylov/arnoldi/arnoldi.c
EPSSetFromOptions_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c
EPSSetFromOptions_Lanczos() in src/eps/impls/krylov/lanczos/lanczos.c
EPSSetFromOptions_LyapII() in src/eps/impls/lyapii/lyapii.c
EPSSetFromOptions_Power() in src/eps/impls/power/power.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages